- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
qi::DynamicTypeInterface Class Referenceabstract

`#include <typeinterface.hpp>`

## Public Member Functions
virtual AnyReference | get (void *storage)=0
| Get a reference to the underlying element. More...
virtual void | set (void **storage, AnyReference source)=0
| Set the underlying element. More...
TypeKind | kind () override
Public Member Functions inherited from qi::TypeInterface
virtual | ~TypeInterface ()=default
virtual const TypeInfo & | info ()=0
| Get the TypeInfo corresponding to this type. More...
virtual void * | initializeStorage (void *ptr=nullptr)=0
virtual void * | ptrFromStorage (void **)=0
virtual void * | clone (void *)=0
| Allocate a storage and copy the value given as an argument. More...
virtual void | destroy (void *)=0
| Free all resources of a storage. More...
virtual bool | less (void *a, void *b)=0
const char * | infoString ()
qi::Signature | signature (void *storage=nullptr, bool resolveDynamic=false)

## Additional Inherited Members
Static Public Member Functions inherited from qi::TypeInterface
static TypeInterface * | fromSignature (const qi::Signature &sig)

## Detailed Description

Type that contains a value of any type.

The workings of a dynamic type is similar to that of a union.

Definition at line 310 of file typeinterface.hpp.

## Member Function Documentation

virtual AnyReference qi::DynamicTypeInterface::get | ( | void * | storage | ) |
| pure virtual

Get a reference to the underlying element.

Implemented in qi::TypeImpl< AnyValue >.

TypeKind qi::DynamicTypeInterface::kind | ( |  | ) |
| inline override virtual

Get the kind of the data.

This is used to downcast the TypeInterface object to a specialized interface.

Reimplemented from qi::TypeInterface.

Definition at line 317 of file typeinterface.hpp.

virtual void qi::DynamicTypeInterface::set | ( | void ** | storage,
|  | AnyReference | source
| ) |  |
| pure virtual

Set the underlying element.

Implemented in qi::TypeImpl< AnyValue >.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/type/typeinterface.hpp